Package org.opensaml.profile.logic

# Class ProfileIdPredicate

java.lang.Object
org.opensaml.profile.logic.ProfileIdPredicate

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

public class ProfileIdPredicate extends Object implements Predicate<ProfileRequestContext>
A predicate implementation that tests whether a profile request's profile ID matches an expected value.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`profileId`
Profile ID to test for.

## Constructor Summary

Constructors
Constructor
Description
`ProfileIdPredicate(String id)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### profileId

@Nonnull @NotEmpty private final String profileId
Profile ID to test for.

## Constructor Details

### ProfileIdPredicate

public ProfileIdPredicate(@Nonnull @NotEmpty @ParameterName(name="id") String id)
Constructor.

Parameters:
  `id` - profile ID to test for

## Method Details

### test

public boolean test(@Nullable ProfileRequestContext input)

Specified by:
  `test` in interface `Predicate<ProfileRequestContext>`